
.chapter {
    list-style: none outside none;
    padding-inline-start: 0;
}

    .chapter .chapter-item {
        display: flex;
        font-size: 18px;
        align-items: flex-start; 
        justify-content: space-between;
        line-height: 1.4em; 
        margin-top: 0.8em; 
        color: var(--sidebar-non-existant);
        position: relative !important;
    }

        .chapter .chapter-item a,
        .chapter .chapter-item > span:not(.toggle) {
            display: inline-block; 
            padding: 0;
            text-decoration: none;
            color: var(--sidebar-fg) !important;
            white-space: normal !important;
            overflow: visible !important;
            text-overflow: clip !important;
            max-width: calc(100% - 35px);
            flex-grow: 0;
            flex-shrink: 1;
            min-width: 0;
            position: relative;
            z-index: 2;
        }

            .chapter .chapter-item a:hover,
            .chapter .chapter-item.collapsible:hover span {
                color: var(--sidebar-active) !important;
            }

            .chapter .chapter-item a.active,
            .chapter .chapter-item.collapsible.active span {
                color: var(--sidebar-active) !important;
                font-weight: bold;
            }

        .chapter .chapter-item.collapsible {
            cursor: pointer;
            user-select: none;
            -webkit-user-select: none;
            -moz-user-select: none;
            -ms-user-select: none;
        }

        .chapter .chapter-item .toggle {
            cursor: pointer;
            display: none;
            user-select: none;
            color: var(--sidebar-fg);
            opacity: 0.45;
            transition: transform 0.3s ease, color 0.2s, opacity 0.2s;
            padding: 0 14px; 
            
            flex-grow: 0;
            flex-shrink: 0;
            height: auto !important;
            line-height: 1.5em !important;
            align-self: center !important;
            margin-left: auto;
            position: relative;
            z-index: 2;
        }

        .chapter .chapter-item.collapsible:hover .toggle {
            opacity: 1 !important; 
        }

        .chapter .chapter-item .toggle i {
            font-size: 18px;
            font-weight: bold; 
            display: block;
        }

        .chapter .chapter-item:not(.collapsed) .toggle {
            transform: rotate(90deg);
        }

        .chapter .chapter-item.collapsible .toggle {
            display: block !important;
        }



.chapter-item[data-level="1"] {
    padding-left: 15px;
}

.chapter-item[data-level="2"] {
    padding-left: 30px;
}

.chapter-item[data-level="3"] {
    padding-left: 45px;
}

.chapter-item[data-level="4"] {
    padding-left: 60px;
}

.chapter-item[data-level="5"] {
    padding-left: 75px;
}

.chapter-item[data-level="6"] {
    padding-left: 90px;
}

.chapter-item[data-level="7"] {
    padding-left: 105px;
}

.chapter-item[data-level="8"] {
    padding-left: 120px;
}

.chapter-item[data-level="9"] {
    padding-left: 135px;
}

.chapter-item[data-level="10"] {
    padding-left: 150px;
}

.chapter-item.menu-hidden {
    display: none !important;
}

.chapter .chapter-item.part-title span {
    color: var(--sidebar-fg) !important;
    font-weight: bold;
    cursor: default;
    opacity: 0.6;
}

.chapter .chapter-item.part-title:hover span {
    color: var(--sidebar-fg) !important;
}

.chapter .chapter-item.part-title {
    color: var(--sidebar-fg);
    margin: 20px 0 5px 0;
    font-weight: bold;
}

.spacer {
    width: 100%;
    height: 3px;
    margin: 5px 0px;
}

.chapter .spacer {
    background-color: var(--sidebar-spacer);
}
